-------------------------------------------------------------------------------
-- File name : mux21.vhd
-- Title     : 2-1 Multiplexor
-- project   : ECE 485
-- Library   : single-cycle processor
-- Author(s) : James E. Stine, Jr.
-- Purpose   : definition of single-cycle processor
-- notes :   

-- Copyright Illinois Institute of Technology
-------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

entity mux21 is
  port (D0 : in  std_logic;
        D1 : in  std_logic;
        S0 : in  std_logic;
        Y  : out std_logic);
end mux21;


architecture structure of mux21 is
begin
  
  Y <= (D0 AND NOT S0) OR (D1 AND S0);
  
end structure;
