######################################################
#                                                    #
#  Cadence Design Systems                            #
#  FirstEncounter Floor Plan Information             #
#                                                    #
######################################################
# Created on Tue Jun 21 20:05:08 2005

Version: 3

Head Box: 0.0000 0.0000 381.0000 380.4750
IO Box: 0.0000 0.0000 381.0000 380.4750
Core Box: 40.8000 40.5000 341.0250 340.5000
Row Flipping: first

##############################################################################
#  DefRow: <name> <site> <x> <y> <orient> <num_x> <num_y> <step_x> <step_y>  #
##############################################################################
DefRow: ROW_0 core 40.8000 325.5000 N 250 1 1.2000 0.0000
DefRow: ROW_1 core 40.8000 310.5000 FS 250 1 1.2000 0.0000
DefRow: ROW_2 core 40.8000 295.5000 N 250 1 1.2000 0.0000
DefRow: ROW_3 core 40.8000 280.5000 FS 250 1 1.2000 0.0000
DefRow: ROW_4 core 40.8000 265.5000 N 250 1 1.2000 0.0000
DefRow: ROW_5 core 40.8000 250.5000 FS 250 1 1.2000 0.0000
DefRow: ROW_6 core 40.8000 235.5000 N 250 1 1.2000 0.0000
DefRow: ROW_7 core 40.8000 220.5000 FS 250 1 1.2000 0.0000
DefRow: ROW_8 core 40.8000 205.5000 N 250 1 1.2000 0.0000
DefRow: ROW_9 core 40.8000 190.5000 FS 250 1 1.2000 0.0000
DefRow: ROW_10 core 40.8000 175.5000 N 250 1 1.2000 0.0000
DefRow: ROW_11 core 40.8000 160.5000 FS 250 1 1.2000 0.0000
DefRow: ROW_12 core 40.8000 145.5000 N 250 1 1.2000 0.0000
DefRow: ROW_13 core 40.8000 130.5000 FS 250 1 1.2000 0.0000
DefRow: ROW_14 core 40.8000 115.5000 N 250 1 1.2000 0.0000
DefRow: ROW_15 core 40.8000 100.5000 FS 250 1 1.2000 0.0000
DefRow: ROW_16 core 40.8000 85.5000 N 250 1 1.2000 0.0000
DefRow: ROW_17 core 40.8000 70.5000 FS 250 1 1.2000 0.0000
DefRow: ROW_18 core 40.8000 55.5000 N 250 1 1.2000 0.0000
DefRow: ROW_19 core 40.8000 40.5000 FS 250 1 1.2000 0.0000

######################################################
#  Track: dir start number space layer_num layer1 ...#
######################################################
Track: X 0.6000 317 1.2000 1 5
Track: Y 0.7500 253 1.5000 1 5
Track: Y 0.7500 253 1.5000 1 4
Track: X 0.6000 317 1.2000 1 4
Track: X 0.6000 317 1.2000 1 3
Track: Y 0.7500 253 1.5000 1 3
Track: Y 0.7500 253 1.5000 1 2
Track: X 0.6000 317 1.2000 1 2
Track: X 0.6000 317 1.2000 1 1
Track: Y 0.7500 253 1.5000 1 1

######################################################
#  GCellGrid: dir start number space                 #
######################################################
GCellGrid: X 372.6000 2 8.4000
GCellGrid: X 0.6000 32 12.0000
GCellGrid: X 0.0000 2 0.6000
GCellGrid: Y 375.7500 2 4.7250
GCellGrid: Y 0.7500 26 15.0000
GCellGrid: Y 0.0000 2 0.7500

######################################################
#  SpareCell: cellName                               #
#  SpareInst: instName                               #
######################################################

######################################################
#  ScanGroup: groupName startPin stopPin             #
######################################################

######################################################
#  JtagCell:  leafCellName                           #
#  JtagInst:  <instName | HInstName>                 #
######################################################

##############################################################################
#  BlackBox: -cell <cell_name> { -size <x> <y> | { -area <um^2> \            #
#    -gatecount <count> <areapergate> <utilization> } \                      #
#    [-minwidth <w> | -minheight <h> | -fixedwidh <w> | -fixedheight <h>] \  #
#    -aspectratio <ratio> }                                                  #
##############################################################################

#########################################################
#  PhysicalNet: <name> [-pwr|-gnd|-tiehi|-tielo]        #
#########################################################
PhysicalNet: gnd -gnd
PhysicalNet: vdd -pwr

#########################################################
#  PhysicalInstance: <name> <cell> <orient> <llx> <lly> #
#########################################################

#####################################################################
#  Group: <group_name> <nrHinst> [-isPhyHier]                       #
#    <inst_name>                                                    #
#    ...                                                            #
#####################################################################

#####################################################################
#  Fence:  <name> <llx> <lly> <urx> <ury> <nrConstraintBox>         #
#    ConstraintBox: <llx> <lly> <urx> <ury>                         #
#    ...                                                            #
#  Region: <name> <llx> <lly> <urx> <ury> <nrConstraintBox>         #
#    ConstraintBox: <llx> <lly> <urx> <ury>                         #
#    ...                                                            #
#  Guide:  <name> <llx> <lly> <urx> <ury> <nrConstraintBox>         #
#    ConstraintBox: <llx> <lly> <urx> <ury>                         #
#    ...                                                            #
#  SoftGuide: <name>                                                #
#    ...                                                            #
#####################################################################

######################################################
#  NetGroup: <group_name> <nrNetsInGroup>            #
######################################################

######################################################
#  CellPtnCutList: <cellName> <num_ptn_cut>          #
######################################################

######################################################
#  Instance: <name> <orient> <llx> <lly>             #
######################################################
Instance: block_control_CURRENT_reg_3 R0 280.8000 265.5000
Instance: block_control_CURRENT_reg_2 R0 260.4000 325.5000
Instance: block_control_CURRENT_reg_1 MY 286.8000 325.5000
Instance: block_control_CURRENT_reg_0 MX 265.2000 280.5000
Instance: block_acc_q_reg_7 R0 301.2000 235.5000
Instance: block_acc_q_reg_6 R180 224.4000 310.5000
Instance: block_acc_q_reg_5 R0 234.0000 325.5000
Instance: block_acc_q_reg_4 MX 205.2000 130.5000
Instance: block_acc_q_reg_3 MX 262.8000 160.5000
Instance: block_acc_q_reg_2 MX 253.2000 130.5000
Instance: block_acc_q_reg_1 R0 302.4000 175.5000
Instance: block_acc_q_reg_0 MX 303.6000 130.5000
Instance: block_divider_regiB_q_reg_7 MX 280.8000 220.5000
Instance: block_divider_regiB_q_reg_6 MY 241.2000 235.5000
Instance: block_divider_regiB_q_reg_5 R180 224.4000 190.5000
Instance: block_divider_regiB_q_reg_4 R0 202.8000 115.5000
Instance: block_divider_regiB_q_reg_3 MX 249.6000 100.5000
Instance: block_divider_regiB_q_reg_2 R0 247.2000 85.5000
Instance: block_divider_regiB_q_reg_1 R0 279.6000 55.5000
Instance: block_divider_regiB_q_reg_0 MX 309.6000 160.5000
Instance: block_divider_regiA_q_reg_7 R0 199.2000 235.5000
Instance: block_divider_regiA_q_reg_6 R0 267.6000 235.5000
Instance: block_divider_regiA_q_reg_5 MY 172.8000 235.5000
Instance: block_divider_regiA_q_reg_4 MY 204.0000 205.5000
Instance: block_divider_regiA_q_reg_3 R180 217.2000 100.5000
Instance: block_divider_regiA_q_reg_2 R0 220.8000 85.5000
Instance: block_divider_regiA_q_reg_1 MX 190.8000 100.5000
Instance: block_divider_regiA_q_reg_0 MY 223.2000 55.5000

#################################################################
#  Block: <name> <orient> [<llx> <lly>] [<haloLeftMargin>       #
#         <haloBottomMargin> <haloRightMargin> <haloTopMargin>] #
#         [<IsInstDefCovered> <IsInstPreplaced>]                #
#                                                               #
#  Block with INT_MAX loc is for recording the halo block with  #
#  non-prePlaced status                                         #
#################################################################

######################################################
#  BlockLayerObstruct: <name> <layerX> ...           #
######################################################

######################################################
#  FeedthroughBuffer: <instName>                     #
######################################################

###########################################################################
#  PlacementBlockage: <llx> <lly> <urx> <ury> <type> [-pushdown] "<name>" #
#       type is one of {-hard|-soft|-partial ratio}                       #
#       ratio is a number between 0 and 1.                                #
###########################################################################

######################################################################################
# RouteBlockage: <llx> <lly> <urx> <ury> <typeId>                                    #
#   { <layerId ..> | -cutLayer <layerId ..> | <layerId ..> -cutLayer <layerId ..> }  #
#   [-fills] [-pushdown] "<name>"                                                    #
######################################################################################

######################################################
#  PrerouteAsObstruct: <layer_treated_as_obstruct>   #
######################################################
PrerouteAsObstruct: 0x3

######################################################
#  NetWeight: <net_name> <weight (in integer)>       #
######################################################

#################################################################
#  SprFile: <file_name>                                         #
#################################################################
SprFile: nrd_025.fp.spr

#######################################################################################
#  IOPin: <pinName> <x> <y> <side> <layerId> <width> <depth> {placed|fixed|-} <nrBox> #
#    PinBox: <llx> <lly> <urx> <ury>                                                  #
#######################################################################################
IOPin: current[3] 381.0000 305.2500 E 3 0.4500 0.4500 placed 1
  PinBox: 380.5500 305.0250 381.0000 305.4750
IOPin: current[2] 294.6000 380.4750 N 2 0.4500 0.4500 placed 1
  PinBox: 294.3750 380.0250 294.8250 380.4750
IOPin: current[1] 301.8000 380.4750 N 2 0.4500 0.4500 placed 1
  PinBox: 301.5750 380.0250 302.0250 380.4750
IOPin: current[0] 298.2000 380.4750 N 2 0.4500 0.4500 placed 1
  PinBox: 297.9750 380.0250 298.4250 380.4750
IOPin: acc[7] 381.0000 227.2500 E 3 0.4500 0.4500 placed 1
  PinBox: 380.5500 227.0250 381.0000 227.4750
IOPin: acc[6] 235.8000 380.4750 N 2 0.4500 0.4500 placed 1
  PinBox: 235.5750 380.0250 236.0250 380.4750
IOPin: acc[5] 235.8000 380.4750 N 4 0.4500 0.4500 placed 1
  PinBox: 235.5750 380.0250 236.0250 380.4750
IOPin: acc[4] 240.6000 0.0000 S 2 0.4500 0.4500 placed 1
  PinBox: 240.3750 0.0000 240.8250 0.4500
IOPin: acc[3] 381.0000 149.2500 E 3 0.4500 0.4500 placed 1
  PinBox: 380.5500 149.0250 381.0000 149.4750
IOPin: acc[2] 381.0000 126.7500 E 3 0.4500 0.4500 placed 1
  PinBox: 380.5500 126.5250 381.0000 126.9750
IOPin: acc[1] 381.0000 119.2500 E 3 0.4500 0.4500 placed 1
  PinBox: 380.5500 119.0250 381.0000 119.4750
IOPin: acc[0] 381.0000 114.7500 E 3 0.4500 0.4500 placed 1
  PinBox: 380.5500 114.5250 381.0000 114.9750
IOPin: error 381.0000 330.7500 E 3 0.4500 0.4500 placed 1
  PinBox: 380.5500 330.5250 381.0000 330.9750
IOPin: acc_load 322.2000 380.4750 N 2 0.4500 0.4500 placed 1
  PinBox: 321.9750 380.0250 322.4250 380.4750
IOPin: s1 381.0000 327.7500 E 3 0.4500 0.4500 placed 1
  PinBox: 380.5500 327.5250 381.0000 327.9750
IOPin: s2 381.0000 207.7500 E 3 0.4500 0.4500 placed 1
  PinBox: 380.5500 207.5250 381.0000 207.9750
IOPin: s3 381.0000 185.2500 E 3 0.4500 0.4500 placed 1
  PinBox: 380.5500 185.0250 381.0000 185.4750
IOPin: s4 381.0000 261.7500 E 3 0.4500 0.4500 placed 1
  PinBox: 380.5500 261.5250 381.0000 261.9750
IOPin: in[7] 381.0000 203.2500 E 3 0.4500 0.4500 placed 1
  PinBox: 380.5500 203.0250 381.0000 203.4750
IOPin: in[6] 381.0000 260.2500 E 5 0.6000 0.6000 placed 1
  PinBox: 380.4000 259.9500 381.0000 260.5500
IOPin: in[5] 258.6000 380.4750 N 2 0.4500 0.4500 placed 1
  PinBox: 258.3750 380.0250 258.8250 380.4750
IOPin: in[4] 381.0000 200.2500 E 3 0.4500 0.4500 placed 1
  PinBox: 380.5500 200.0250 381.0000 200.4750
IOPin: in[3] 381.0000 201.7500 E 5 0.6000 0.6000 placed 1
  PinBox: 380.4000 201.4500 381.0000 202.0500
IOPin: in[2] 381.0000 204.7500 E 5 0.6000 0.6000 placed 1
  PinBox: 380.4000 204.4500 381.0000 205.0500
IOPin: in[1] 381.0000 174.7500 E 3 0.4500 0.4500 placed 1
  PinBox: 380.5500 174.5250 381.0000 174.9750
IOPin: in[0] 381.0000 146.2500 E 3 0.4500 0.4500 placed 1
  PinBox: 380.5500 146.0250 381.0000 146.4750
IOPin: opcode[2] 381.0000 278.2500 E 3 0.4500 0.4500 placed 1
  PinBox: 380.5500 278.0250 381.0000 278.4750
IOPin: opcode[1] 381.0000 282.7500 E 3 0.4500 0.4500 placed 1
  PinBox: 380.5500 282.5250 381.0000 282.9750
IOPin: opcode[0] 381.0000 275.2500 E 3 0.4500 0.4500 placed 1
  PinBox: 380.5500 275.0250 381.0000 275.4750
IOPin: reset 381.0000 299.2500 E 3 0.4500 0.4500 placed 1
  PinBox: 380.5500 299.0250 381.0000 299.4750
IOPin: clk 381.0000 192.7500 E 3 0.4500 0.4500 placed 1
  PinBox: 380.5500 192.5250 381.0000 192.9750

###########################################################$############################################################################################
#  GlobalNetConnection: <net_name> {-pin|-inst|-net} <base_name_pattern> -type {pgpin|net|tiehi|tielo} {-all|-module <name>|-region <box>} [-override] #
########################################################################################################################################################
GlobalNetConnection: vdd -pin vdd -type pgpin -all
GlobalNetConnection: gnd -pin gnd -type pgpin -all
GlobalNetConnection: vdd -pin vdd -type pgpin -all
GlobalNetConnection: gnd -pin gnd -type pgpin -all
GlobalNetConnection: vdd -type tiehi -all
GlobalNetConnection: vdd -pin vdd -type pgpin -all -override
GlobalNetConnection: gnd -type tielo -all
GlobalNetConnection: gnd -pin gnd -type pgpin -all -override

################################################################################
#  NetProperties: <net_name> [-special] [-def_prop {int|dbl|str} <value>]...   #
################################################################################
