-- 32 Bit Comparator
-- Author: John Moskal
--  Created: 11-26-04
-- Modified: 03-31-05
--
-- Modifications:
--
------------------------------------------------------------------------------------------

library work;
library ieee;
use ieee.std_logic_1164.all;

entity compare32 is
port
(
   A,B: in std_logic_vector(31 downto 0);
   Eq:  out std_logic
);
end entity compare32;

------------------------------------------------------------------------------------------

architecture stuff of compare32 is

-- COMPONENTS --

-- SIGNALS --

signal x_w: std_logic_vector(31 downto 0);

-- HDL --

begin

   x_w(00) <= A(00) xor B(00);
   x_w(01) <= A(01) xor B(01);
   x_w(02) <= A(02) xor B(02);
   x_w(03) <= A(03) xor B(03);
   x_w(04) <= A(04) xor B(04);
   x_w(05) <= A(05) xor B(05);
   x_w(06) <= A(06) xor B(06);
   x_w(07) <= A(07) xor B(07);
   x_w(08) <= A(08) xor B(08);
   x_w(09) <= A(09) xor B(09);
   x_w(10) <= A(10) xor B(10);
   x_w(11) <= A(11) xor B(11);
   x_w(12) <= A(12) xor B(12);
   x_w(13) <= A(13) xor B(13);
   x_w(14) <= A(14) xor B(14);
   x_w(15) <= A(15) xor B(15);
   x_w(16) <= A(16) xor B(16);
   x_w(17) <= A(17) xor B(17);
   x_w(18) <= A(18) xor B(18);
   x_w(19) <= A(19) xor B(19);
   x_w(20) <= A(20) xor B(20);
   x_w(21) <= A(21) xor B(21);
   x_w(22) <= A(22) xor B(22);
   x_w(23) <= A(23) xor B(23);
   x_w(24) <= A(24) xor B(24);
   x_w(25) <= A(25) xor B(25);
   x_w(26) <= A(26) xor B(26);
   x_w(27) <= A(27) xor B(27);
   x_w(28) <= A(28) xor B(28);
   x_w(29) <= A(29) xor B(29);
   x_w(30) <= A(30) xor B(30);
   x_w(31) <= A(31) xor B(31);
   
   eq <= not(x_w(00) or x_w(01) or x_w(02) or x_w(03) or x_w(04) or x_w(05) or x_w(06) or x_w(07) or x_w(08) or x_w(09) or 
             x_w(10) or x_w(11) or x_w(12) or x_w(13) or x_w(14) or x_w(15) or x_w(16) or x_w(17) or x_w(18) or x_w(19) or 
             x_w(20) or x_w(21) or x_w(22) or x_w(23) or x_w(24) or x_w(25) or x_w(26) or x_w(27) or x_w(28) or x_w(29) or 
             x_w(30) or x_w(31));
   
end stuff;

------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------

------------------------------------------------------------------------------------------

library work;
library ieee;
use ieee.std_logic_1164.all;

entity compare5 is
port
(
   A,B: in std_logic_vector(4 downto 0);
   Eq:  out std_logic
);
end entity compare5;

------------------------------------------------------------------------------------------

architecture stuff of compare5 is

-- COMPONENTS --

-- SIGNALS --

signal x_w: std_logic_vector(4 downto 0);

-- HDL --

begin

   x_w(00) <= A(00) xor B(00);
   x_w(01) <= A(01) xor B(01);
   x_w(02) <= A(02) xor B(02);
   x_w(03) <= A(03) xor B(03);
   x_w(04) <= A(04) xor B(04);
   
   eq <= not(x_w(00) or x_w(01) or x_w(02) or x_w(03) or x_w(04));
   
end stuff;

------------------------------------------------------------------------------------------

